Package org.apache.axiom.soap

# Interface SOAPConstants

All Known Subinterfaces:
  `SOAP11Constants`, `SOAP12Constants`

All Known Implementing Classes:
  `SOAP11Version`, `SOAP12Version`

public interface SOAPConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTR_MUSTUNDERSTAND`
  Field ATTR_MUSTUNDERSTAND
  `static final String`
  `ATTR_MUSTUNDERSTAND_0`
  `static final String`
  `ATTR_MUSTUNDERSTAND_1`
  `static final String`
  `ATTR_MUSTUNDERSTAND_FALSE`
  `static final String`
  `ATTR_MUSTUNDERSTAND_TRUE`
  `static final String`
  `BODY_FAULT_LOCAL_NAME`
  Field BODY_FAULT_LOCAL_NAME
  `static final String`
  `BODY_LOCAL_NAME`
  Field BODY_LOCAL_NAME
  `static final String`
  `BODY_NAMESPACE_PREFIX`
  Field BODY_NAMESPACE_PREFIX
  `static final String`
  `FAULT_CODE_DATA_ENCODING_UNKNOWN`
  `static final String`
  `FAULT_CODE_MUST_UNDERSTAND`
  `static final String`
  `FAULT_CODE_RECEIVER`
  `static final String`
  `FAULT_CODE_SENDER`
  `static final String`
  `FAULT_CODE_VERSION_MISMATCH`
  `static final String`
  `HEADER_LOCAL_NAME`
  Field HEADER_LOCAL_NAME
  `static final String`
  `SOAP_DEFAULT_NAMESPACE_PREFIX`
  Field SOAP_DEFAULT_NAMESPACE_PREFIX
  `static final String`
  `SOAP_FAULT_DETAIL_EXCEPTION_ENTRY`
  `static final String`
  `SOAPENVELOPE_LOCAL_NAME`
  Field SOAPENVELOPE_LOCAL_NAME
  `static final String`
  `SOAPFAULT_DETAIL_LOCAL_NAME`
  Field SOAPFAULT_DETAIL_LOCAL_NAME
  `static final String`
  `SOAPFAULT_LOCAL_NAME`
  Field SOAPFAULT_LOCAL_NAME

- ## Field Details

  - ### SOAP_DEFAULT_NAMESPACE_PREFIX

    static final String SOAP_DEFAULT_NAMESPACE_PREFIX
    Field SOAP_DEFAULT_NAMESPACE_PREFIX
    See Also:
      - Constant Field Values

  - ### SOAPENVELOPE_LOCAL_NAME

    static final String SOAPENVELOPE_LOCAL_NAME
    Field SOAPENVELOPE_LOCAL_NAME
    See Also:
      - Constant Field Values

  - ### HEADER_LOCAL_NAME

    static final String HEADER_LOCAL_NAME
    Field HEADER_LOCAL_NAME
    See Also:
      - Constant Field Values

  - ### BODY_LOCAL_NAME

    static final String BODY_LOCAL_NAME
    Field BODY_LOCAL_NAME
    See Also:
      - Constant Field Values

  - ### BODY_NAMESPACE_PREFIX

    static final String BODY_NAMESPACE_PREFIX
    Field BODY_NAMESPACE_PREFIX
    See Also:
      - Constant Field Values

  - ### BODY_FAULT_LOCAL_NAME

    static final String BODY_FAULT_LOCAL_NAME
    Field BODY_FAULT_LOCAL_NAME
    See Also:
      - Constant Field Values

  - ### ATTR_MUSTUNDERSTAND

    static final String ATTR_MUSTUNDERSTAND
    Field ATTR_MUSTUNDERSTAND
    See Also:
      - Constant Field Values

  - ### ATTR_MUSTUNDERSTAND_TRUE

    static final String ATTR_MUSTUNDERSTAND_TRUE
    See Also:
      - Constant Field Values

  - ### ATTR_MUSTUNDERSTAND_FALSE

    static final String ATTR_MUSTUNDERSTAND_FALSE
    See Also:
      - Constant Field Values

  - ### ATTR_MUSTUNDERSTAND_0

    static final String ATTR_MUSTUNDERSTAND_0
    See Also:
      - Constant Field Values

  - ### ATTR_MUSTUNDERSTAND_1

    static final String ATTR_MUSTUNDERSTAND_1
    See Also:
      - Constant Field Values

  - ### SOAPFAULT_LOCAL_NAME

    static final String SOAPFAULT_LOCAL_NAME
    Field SOAPFAULT_LOCAL_NAME
    See Also:
      - Constant Field Values

  - ### SOAPFAULT_DETAIL_LOCAL_NAME

    static final String SOAPFAULT_DETAIL_LOCAL_NAME
    Field SOAPFAULT_DETAIL_LOCAL_NAME
    See Also:
      - Constant Field Values

  - ### SOAP_FAULT_DETAIL_EXCEPTION_ENTRY

    static final String SOAP_FAULT_DETAIL_EXCEPTION_ENTRY
    See Also:
      - Constant Field Values

  - ### FAULT_CODE_VERSION_MISMATCH

    static final String FAULT_CODE_VERSION_MISMATCH
    See Also:
      - Constant Field Values

  - ### FAULT_CODE_MUST_UNDERSTAND

    static final String FAULT_CODE_MUST_UNDERSTAND
    See Also:
      - Constant Field Values

  - ### FAULT_CODE_DATA_ENCODING_UNKNOWN

    static final String FAULT_CODE_DATA_ENCODING_UNKNOWN
    See Also:
      - Constant Field Values

  - ### FAULT_CODE_SENDER

    static final String FAULT_CODE_SENDER
    See Also:
      - Constant Field Values

  - ### FAULT_CODE_RECEIVER

    static final String FAULT_CODE_RECEIVER
    See Also:
      - Constant Field Values